package com.example.mapper;

import com.example.entity.Awards;
import org.apache.ibatis.annotations.*;

@Mapper
public interface AwardsMapper {
    /**
     * 老师获奖信息上传
     * @param awards
     */
    @Insert("insert into teacherteam_system.awards (teacher_id, name, date, image) " +
            "values (#{teacherId},#{name},#{date},#{image});")
    void uploadAwards(Awards awards);

    /**
     * 修改教师获奖数量
     * @param id
     * @param
     */
    @Update("update teacherteam_system.teacher set awards_num = awards_num+1 where id = #{id}")
    void addAwardsNum(@Param("id") Long id);

    /**
     * 修改指定奖项
     * @param awards
     */
    void updateAwards(Awards awards);

    /**
     * 查询指定奖项
     *
     * @param id
     * @return
     */
    @Select("select * from teacherteam_system.awards where id = #{id}")
    Awards getById(Long id);

    /**
     * 删除指定奖项
     * @param id
     */
    @Delete("delete from teacherteam_system.awards where id = #{id}")
    void deleteById(Long id);
}
