package com.example.mapper;

import com.example.dto.PageQueryDTO;
import com.example.entity.Resource;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface ResourceMapper {
    /**
     * 资料库上传
     * @param resource
     */
    @Insert("insert into teacherteam_system.resources(uploader, name, create_time, image, file, uploader_name,status)" +
            " VALUES (#{uploader},#{name},#{createTime},#{image},#{file},#{uploaderName},#{status})")
    void upload(Resource resource);

    /**
     * 指定资料修改
     * @param resource
     */
    void update(Resource resource);

    /**
     * 指定资料删除
     * @param id
     */
    @Delete("delete from teacherteam_system.resources where id = #{id}")
    void delete(Long id);

    /**
     * 查询指定资料
     * @param id
     * @return
     */
    @Select("select * from teacherteam_system.resources where id = #{id}")
    Resource getById(Long id);

    /**
     * 资料分页查询
     * @param pageQueryDTO
     * @return
     */
    Page<Resource> getAll(PageQueryDTO pageQueryDTO);
}
