package com.example.mapper;

import com.example.entity.User;
import org.apache.ibatis.annotations.*;

@Mapper
public interface UserMapper {
    /**
     * 根据用户名查询密码
     * @param username
     * @return
     */
    @Select("select * from teacherteam_system.user where username = #{username}")
    User getByUsername(String username);

    /**
     * 老师注册
     * @param user
     */
    @Insert("insert into teacherteam_system.user (name, username, password, create_time, status,phone_number)" +
            "values (#{name},#{userName},#{password},#{createTime},#{status},#{phoneNumber})")
    void register(User user);

    /**
     * 根据id查询密码
     * @param id
     * @return
     */
    @Select("select password from teacherteam_system.user where id=#{id}")
    String getPassword(Long id);

    /**
     * 根据id修改密码
     * @param id
     * @param password
     */
    @Update("update teacherteam_system.user set password = #{password} where id = #{id}")
    void update(@Param("id") Long id, @Param("password") String password);

    @Select("select role from teacherteam_system.user where id = #{id}")
    String getRole(@Param("id") Long id);

    @Select("select * from teacherteam_system.user where id=#{id}")
    User getById(Long id);
}
