package com.example.service;

import com.example.dto.PageQueryDTO;
import com.example.dto.ResourceDTO;
import com.example.result.PageResult;
import com.example.vo.ResourceVO;

public interface ResourceService {
    /**
     * 资料库上传
     * @param resourceDTO
     */
    void upload(ResourceDTO resourceDTO);

    /**
     * 指定资料修改
     * @param resourceDTO
     * @param id
     */
    void update(ResourceDTO resourceDTO,Long id);

    /**
     * 指定资料删除
     * @param id
     */
    void delete(Long id);

    /**
     * 查询指定资料
     * @param id
     * @return
     */
    ResourceVO getById(Long id);

    /**
     * 资料分页查询
     * @param pageQueryDTO
     * @return
     */
    PageResult getAll(PageQueryDTO pageQueryDTO);
}
